{{- define "vsphere-provider.name" -}}
vsphere-provider
{{- end -}}

{{- define "vsphere-provider.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}

{{/*
Generate full image paths for KaaS CDN
*/}}

{{- define "vsphere_provider.image" -}}
{{- if (.Values.vsphere_provider.image.fullName) -}}
{{- .Values.vsphere_provider.image.fullName -}}
{{- else -}}
{{- printf "%s/%s/%s:%s" .Values.global.dockerBaseUrl .Values.vsphere_provider.image.repository .Values.vsphere_provider.image.name .Values.vsphere_provider.image.tag -}}
{{- end -}}
{{- end -}}

{{- define "vsphere-provider-config-name" -}}
{{- printf "provider-config-vsphere-%s" .Values.config.region -}}
{{- end -}}

